"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = parseFile;

var _fs = _interopRequireDefault(require("fs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function parseFile(fpath, parser) {
  return new Promise(function (resolve, reject) {
    var rs = _fs["default"].createReadStream(fpath, {
      encoding: 'utf8',
      highWaterMark: 1024
    });

    rs.on('end', function () {
      parser.end();
      var res = parser.getResult();

      if (res.error) {
        reject(res);
      } else {
        resolve(res);
      }
    });
    rs.on('data', function (data) {
      parser.write(data);
    });
    rs.on('error', function (err) {
      reject([err]);
    });
  });
}