"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.renderApp = renderApp;
exports.getAppComponent = getAppComponent;
exports.createApp = createApp;
exports.renderAppString = renderAppString;

function renderApp(opt) {
  return Promise.resolve(opt).then(getAppComponent).then(createApp).then(renderAppString);
}

function getAppComponent(opt) {
  var cname = opt.componentName;
  var App = opt.resolveComponent(cname);
  if (!App) throw new Error('App Component not found ' + JSON.stringify(cname));
  opt.App = App;
  return opt;
}

function createApp(opt) {
  var router = opt.router,
      createSSRApp = opt.createSSRApp,
      App = opt.App;
  var app = createSSRApp(App);
  app.use(router);
  opt.app = app;
  return opt;
}

function renderAppString(opt) {
  // console.log('renderAppString', app, app.config);
  var promise = opt.renderToString(opt.app);
  return opt.returnObject ? promise.then(function (appString) {
    opt.appString = appString;
    return opt;
  }) : promise;
}